// A class for dates that demonstrates a class variable and a class method.
// Barry Cornelius, 19 June 2000
import java.util. StringTokenizer;
public class Date 
{
   private static int iNumberOfCalls = 0;
   private int iYear;
   private int iMonth;
   private int iDay;
   public static int getNumberOfCalls()
   {
      return iNumberOfCalls;
   }
   public Date(final int pYear, final int pMonth, final int pDay) 
   {
      iNumberOfCalls++;
      iYear = pYear;
      iMonth = pMonth; 
      iDay = pDay;
   }
   public int getYear()
   {
      iNumberOfCalls++;
      return iYear;
   }
   public int getMonth()
   {
      iNumberOfCalls++;
      return iMonth;
   }
   public int getDay()
   {
      iNumberOfCalls++;
      return iDay;
   }
   public void setYear(final int pYear)
   {
      iNumberOfCalls++;
      iYear = pYear;
   }
   public void setMonth(final int pMonth)
   {
      iNumberOfCalls++;
      iMonth = pMonth;
   } //BJCHEREFIRST
   public void setDay(final int pDay)
   {
      iNumberOfCalls++;
      iDay = pDay;
   }
   public String toString()
   {
      iNumberOfCalls++;
      return iYear + "-" + iMonth/10 + iMonth%10 + "-" + iDay/10 + iDay%10;
   }
}
